udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions | Variables
mkudffs.h File Reference
`#include "ecma_167.h"`
`#include "osta_udf.h"`
`#include "udf_endian.h"`
`#include "libudffs.h"`
Include dependency graph for mkudffs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | CS0 0x00000001
#define | UDF_ID_APPLICATION "*Linux mkudffs"
#define | DEFAULT_HD 0
#define | DEFAULT_DVD 0
#define | DEFAULT_DVDRAM 0
#define | DEFAULT_WORM 1
#define | DEFAULT_MO 1
#define | DEFAULT_CDRW 2
#define | DEFAULT_CDR 3
#define | DEFAULT_DVDRW 4
#define | NAME_MAX 255

## Functions
void | udf_init_disc (struct udf_disc *)
int | udf_set_version (struct udf_disc *, int)
void | split_space (struct udf_disc *)
void | dump_space (struct udf_disc *)
int | write_disc (struct udf_disc *)
void | setup_vrs (struct udf_disc *)
void | setup_anchor (struct udf_disc *)
void | setup_partition (struct udf_disc *)
int | setup_space (struct udf_disc *, struct udf_extent *, uint32_t)
int | setup_fileset (struct udf_disc *, struct udf_extent *)
int | setup_root (struct udf_disc *, struct udf_extent *)
void | calc_space (struct udf_disc *, struct udf_extent *)
void | setup_vds (struct udf_disc *)
void | setup_pvd (struct udf_disc *, struct udf_extent *, struct udf_extent *, uint32_t)
void | setup_lvd (struct udf_disc *, struct udf_extent *, struct udf_extent *, struct udf_extent *, uint32_t)
void | setup_pd (struct udf_disc *, struct udf_extent *, struct udf_extent *, uint32_t)
void | setup_usd (struct udf_disc *, struct udf_extent *, struct udf_extent *, uint32_t)
void | setup_iuvd (struct udf_disc *, struct udf_extent *, struct udf_extent *, uint32_t)
void | setup_td (struct udf_disc *, struct udf_extent *, struct udf_extent *, uint32_t)
void | setup_lvid (struct udf_disc *, struct udf_extent *)
void | setup_stable (struct udf_disc *, struct udf_extent *[4], struct udf_extent *)
void | setup_vat (struct udf_disc *, struct udf_extent *)
void | add_type1_partition (struct udf_disc *, uint16_t)
void | add_type2_sparable_partition (struct udf_disc *, uint16_t, uint8_t, uint16_t)
void | add_type2_virtual_partition (struct udf_disc *, uint16_t)
struct sparablePartitionMap * | find_type2_sparable_partition (struct udf_disc *, uint16_t)

## Variables
char * | udf_space_type_str [UDF_SPACE_TYPE_SIZE]

## Macro Definition Documentation

#define CS0 0x00000001

Definition at line 31 of file mkudffs.h.

#define DEFAULT_CDR 3

Definition at line 40 of file mkudffs.h.

#define DEFAULT_CDRW 2

Definition at line 39 of file mkudffs.h.

#define DEFAULT_DVD 0

Definition at line 35 of file mkudffs.h.

#define DEFAULT_DVDRAM 0

Definition at line 36 of file mkudffs.h.

#define DEFAULT_DVDRW 4

Definition at line 41 of file mkudffs.h.

#define DEFAULT_HD 0

Definition at line 34 of file mkudffs.h.

#define DEFAULT_MO 1

Definition at line 38 of file mkudffs.h.

#define DEFAULT_WORM 1

Definition at line 37 of file mkudffs.h.

#define NAME_MAX 255

Definition at line 44 of file mkudffs.h.

#define UDF_ID_APPLICATION "*Linux mkudffs"

Definition at line 32 of file mkudffs.h.

## Function Documentation

void add_type1_partition | ( | struct udf_disc * | ,
|  | uint16_t |
| ) |  |

Definition at line 1019 of file mkudffs.c.

void add_type2_sparable_partition | ( | struct udf_disc * | ,
|  | uint16_t | ,
|  | uint8_t | ,
|  | uint16_t |
| ) |  |

Definition at line 1052 of file mkudffs.c.

void add_type2_virtual_partition | ( | struct udf_disc * | ,
|  | uint16_t |
| ) |  |

Definition at line 1115 of file mkudffs.c.

void calc_space | ( | struct udf_disc * | ,
|  | struct udf_extent * |
| ) |  |

void dump_space | ( | struct udf_disc * |  | ) |

Definition at line 331 of file mkudffs.c.

struct sparablePartitionMap* find_type2_sparable_partition | ( | struct udf_disc * | ,
|  | uint16_t |
| ) |  |

Definition at line 1088 of file mkudffs.c.

void setup_anchor | ( | struct udf_disc * |  | ) |

Definition at line 402 of file mkudffs.c.

int setup_fileset | ( | struct udf_disc * | ,
|  | struct udf_extent * |
| ) |  |

Definition at line 611 of file mkudffs.c.

void setup_iuvd | ( | struct udf_disc * | ,
|  | struct udf_extent * | ,
|  | struct udf_extent * | ,
|  | uint32_t |
| ) |  |

Definition at line 893 of file mkudffs.c.

void setup_lvd | ( | struct udf_disc * | ,
|  | struct udf_extent * | ,
|  | struct udf_extent * | ,
|  | struct udf_extent * | ,
|  | uint32_t |
| ) |  |

Definition at line 815 of file mkudffs.c.

void setup_lvid | ( | struct udf_disc * | ,
|  | struct udf_extent * |
| ) |  |

Definition at line 925 of file mkudffs.c.

void setup_partition | ( | struct udf_disc * |  | ) |

Definition at line 449 of file mkudffs.c.

void setup_pd | ( | struct udf_disc * | ,
|  | struct udf_extent * | ,
|  | struct udf_extent * | ,
|  | uint32_t |
| ) |  |

Definition at line 834 of file mkudffs.c.

void setup_pvd | ( | struct udf_disc * | ,
|  | struct udf_extent * | ,
|  | struct udf_extent * | ,
|  | uint32_t |
| ) |  |

Definition at line 800 of file mkudffs.c.

int setup_root | ( | struct udf_disc * | ,
|  | struct udf_extent * |
| ) |  |

Definition at line 647 of file mkudffs.c.

int setup_space | ( | struct udf_disc * | ,
|  | struct udf_extent * | ,
|  | uint32_t |
| ) |  |

Definition at line 465 of file mkudffs.c.

void setup_stable | ( | struct udf_disc * | ,
|  | struct udf_extent * | [4],
|  | struct udf_extent * |
| ) |  |

Definition at line 948 of file mkudffs.c.

void setup_td | ( | struct udf_disc * | ,
|  | struct udf_extent * | ,
|  | struct udf_extent * | ,
|  | uint32_t |
| ) |  |

Definition at line 910 of file mkudffs.c.

void setup_usd | ( | struct udf_disc * | ,
|  | struct udf_extent * | ,
|  | struct udf_extent * | ,
|  | uint32_t |
| ) |  |

Definition at line 864 of file mkudffs.c.

void setup_vat | ( | struct udf_disc * | ,
|  | struct udf_extent * |
| ) |  |

Definition at line 982 of file mkudffs.c.

void setup_vds | ( | struct udf_disc * |  | ) |

Definition at line 758 of file mkudffs.c.

void setup_vrs | ( | struct udf_disc * |  | ) |

Definition at line 367 of file mkudffs.c.

void split_space | ( | struct udf_disc * |  | ) |

Definition at line 198 of file mkudffs.c.

void udf_init_disc | ( | struct udf_disc * |  | ) |

Definition at line 46 of file mkudffs.c.

int udf_set_version | ( | struct udf_disc * | ,
|  | int |
| ) |  |

Definition at line 152 of file mkudffs.c.

int write_disc | ( | struct udf_disc * |  | ) |

Definition at line 351 of file mkudffs.c.

## Variable Documentation

char* udf_space_type_str[UDF_SPACE_TYPE_SIZE]

Definition at line 1148 of file mkudffs.c.